<StructuredTextModel xmlns="http://schemas.datacontract.org/2004/07/Omron.Cxap.Modules.StructuredText.Core" xmlns:i="http://www.w3.org/2001/XMLSchema-instance"><Text>DU_Execute(Clk:=Execute);&#xD;
&#xD;
IF DU_Execute.Q THEN&#xD;
	NStep:=0;&#xD;
ELSIF NOT Execute THEN&#xD;
	Busy:=FALSE;&#xD;
	Done:=FALSE;&#xD;
	Error:=FALSE;&#xD;
	ErrorID:=0;&#xD;
END_IF;&#xD;
&#xD;
CASE NStep OF&#xD;
	0:&#xD;
		Busy:=TRUE;&#xD;
		MTCP_Client_Fn05_Execute:=FALSE;&#xD;
		MTCP_Client_Fn05_Send_Request:=FALSE;&#xD;
		IF  (NOT MTCP_Client_Fn05_Cmd_Ok) AND (NOT MTCP_Client_Fn05_Error) THEN&#xD;
			NStep:=80;&#xD;
		END_IF;&#xD;
	80:&#xD;
		MTCP_Client_Fn05_Execute:=TRUE;&#xD;
		MTCP_Client_Fn05_Coil_Address:=16#1BC1;//Stop&#xD;
		MTCP_Client_Fn05_Send_Request:=FALSE;&#xD;
		MTCP_Client_Fn05_Set_Value:=FALSE;&#xD;
		IF  (NOT MTCP_Client_Fn05_Cmd_Ok) AND (NOT MTCP_Client_Fn05_Error) THEN&#xD;
			NStep:=90;&#xD;
		END_IF;&#xD;
	90:&#xD;
		MTCP_Client_Fn05_Send_Request:=TRUE;&#xD;
		IF MTCP_Client_Fn05_Cmd_Ok  THEN&#xD;
			NStep:=100;	&#xD;
		ELSIF MTCP_Client_Fn05_Error AND (MTCP_Client_Fn05_ErrorID=16#2006) THEN&#xD;
			NStep:=999;&#xD;
			ErrorID:=MTCP_Client_Fn05_ErrorID;&#xD;
		ELSIF MTCP_Client_Fn05_Error AND (MTCP_Client_Fn05_ErrorID=16#2003) THEN&#xD;
			NStep:=999;&#xD;
			ErrorID:=MTCP_Client_Fn05_ErrorID;&#xD;
		END_IF;&#xD;
	100:&#xD;
		MTCP_Client_Fn05_Execute:=FALSE;&#xD;
		MTCP_Client_Fn05_Send_Request:=FALSE;&#xD;
		IF  (NOT MTCP_Client_Fn05_Cmd_Ok) AND (NOT MTCP_Client_Fn05_Error) THEN&#xD;
			NStep:=110;&#xD;
		END_IF;&#xD;
	110:&#xD;
		MTCP_Client_Fn05_Execute:=TRUE;&#xD;
		MTCP_Client_Fn05_Coil_Address:=16#1BC1;//Stop&#xD;
		MTCP_Client_Fn05_Send_Request:=FALSE;&#xD;
		MTCP_Client_Fn05_Set_Value:=TRUE;&#xD;
		IF  (NOT MTCP_Client_Fn05_Cmd_Ok) AND (NOT MTCP_Client_Fn05_Error) THEN&#xD;
			NStep:=120;&#xD;
		END_IF;&#xD;
	120:&#xD;
		MTCP_Client_Fn05_Send_Request:=TRUE;&#xD;
		IF MTCP_Client_Fn05_Cmd_Ok THEN&#xD;
			NStep:=500;		&#xD;
		ELSIF MTCP_Client_Fn05_Error AND (MTCP_Client_Fn05_ErrorID=16#2006) THEN&#xD;
			NStep:=999;&#xD;
			ErrorID:=MTCP_Client_Fn05_ErrorID;&#xD;
		ELSIF MTCP_Client_Fn05_Error AND (MTCP_Client_Fn05_ErrorID=16#2003) THEN&#xD;
			ErrorID:=MTCP_Client_Fn05_ErrorID;&#xD;
			NStep:=999;&#xD;
		END_IF;&#xD;
	500:&#xD;
		Error:=FALSE;&#xD;
		Done:=TRUE;&#xD;
		Busy:=FALSE;&#xD;
		NStep:=1000;&#xD;
	999:&#xD;
		Error:=TRUE;&#xD;
		Done:=FALSE;&#xD;
		Busy:=FALSE;&#xD;
		NStep:=1000;&#xD;
	&#xD;
END_CASE;&#xD;
&#xD;
MTCP_Client_Fn05_Instance(&#xD;
	Enable:=MTCP_Client_Fn05_Execute,&#xD;
	TCP_Socket:=Socket,&#xD;
	Unit_ID:=MTCP_Client_Fn05_Unit_ID,&#xD;
	Coil_Address:=MTCP_Client_Fn05_Coil_Address,&#xD;
	Set_Value:=MTCP_Client_Fn05_Set_Value,&#xD;
	Send_Request:=MTCP_Client_Fn05_Send_Request,&#xD;
	Cmd_Ok=&gt;MTCP_Client_Fn05_Cmd_Ok,&#xD;
	Error=&gt;MTCP_Client_Fn05_Error,&#xD;
	ErrorID=&gt;MTCP_Client_Fn05_ErrorID&#xD;
);</Text></StructuredTextModel>